package com.ruoyi.common.constant;

/**
 * @Author：fanxiaolong
 * @Date： 2023-04-10 10:35
 * @Description：用户申请状态 1 正常，2 修改，3 被拒，4 审核，5 完成
 */
public enum ApplyStateEnum {

    /**
     * 正常
     */
    formal(1),

    /**
     * 修改
     */
    modify(2),

    /**
     *  被拒
     */
    reject(3),

    /**
     * 审核
     */
    check(4),

    /**
     * 完成
     */
    finish(5);

    private Integer state;

    private ApplyStateEnum(Integer state){
        this.state=state;
    }

    public Integer getState()
    {
        return state;
    }
}
