package com.ruoyi.common.constant;

/**
 * @Author：fanxiaolong
 * @Date： 2023-01-05 9:59
 * @Description：
 */
public enum ApplyStatusEnum {

    /**
     * 填写表格
     */
    fill_in_table("1"),

    /**
     * 确认表格内容
     */
    confirm_table("2"),

    /**
     * 审核表格
     */
    check_table("3"),

    /**
     * 上传材料
     */
    upload_material("4"),

    /**
     * 确认上传材料内容
     */
    confirm_material("5"),

    /**
     * 审核材料
     */
    check_material("6"),

    /**
     * 待支付
     */
    wait_pay("7"),

    /**
     * 支付完成
     */
    pay_ok("8"),

    /**
     * 收到offer
     */
    get_offer("9"),

    /**
     * 拒绝
     */
    reject_apply("10"),

    /**
     * 删除
     */
    del_apply("11");

    private String status;

    ApplyStatusEnum(String status){
        this.status=status;
    }

    public String getStatus()
    {
        return status;
    }
}
