package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 客服聊天记录对象 tb_customerservice_record
 * 
 * @author ruoyi
 * @date 2023-05-11
 */
public class TbCustomerserviceRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 发送者id */
    @Excel(name = "发送者id")
    private String sendId;

    /** 发送者类型，0 用户，1 客服 */
    @Excel(name = "发送者类型，0 用户，1 客服")
    private Long sendType;

    /** 接收者id */
    @Excel(name = "接收者id")
    private String receiveId;

    /** 接收者类型，0 用户，1 客服 */
    @Excel(name = "接收者类型，0 用户，1 客服")
    private Long receiveType;

    /** 消息内容 */
    @Excel(name = "消息内容")
    private String message;

    /** 消息类型 0 文本，1 文件，2 富文本 */
    @Excel(name = "消息类型 0 文本，1 文件，2 富文本")
    private Long messageType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date storeTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSendId(String sendId)
    {
        this.sendId = sendId;
    }

    public String getSendId()
    {
        return sendId;
    }
    public void setSendType(Long sendType) 
    {
        this.sendType = sendType;
    }

    public Long getSendType() 
    {
        return sendType;
    }
    public void setReceiveId(String receiveId)
    {
        this.receiveId = receiveId;
    }

    public String getReceiveId()
    {
        return receiveId;
    }
    public void setReceiveType(Long receiveType)
    {
        this.receiveType = receiveType;
    }

    public Long getReceiveType() 
    {
        return receiveType;
    }
    public void setMessage(String message) 
    {
        this.message = message;
    }

    public String getMessage() 
    {
        return message;
    }
    public void setMessageType(Long messageType) 
    {
        this.messageType = messageType;
    }

    public Long getMessageType() 
    {
        return messageType;
    }
    public void setStoreTime(Date storeTime) 
    {
        this.storeTime = storeTime;
    }

    public Date getStoreTime() 
    {
        return storeTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sendId", getSendId())
            .append("sendType", getSendType())
            .append("receiveId", getReceiveId())
            .append("receiveType", getReceiveType())
            .append("message", getMessage())
            .append("messageType", getMessageType())
            .append("storeTime", getStoreTime())
            .toString();
    }
}
