package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业类型对象 tb_major_sorted
 * 
 * @author ruoyi
 * @date 2022-12-19
 */
public class TbMajorSorted extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String majorName;

    /** 父级代码 */
    @Excel(name = "父级代码")
    private Long majorParentCode;

    /** 级别 */
    @Excel(name = "级别")
    private Long majorLevel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMajorName(String majorName) 
    {
        this.majorName = majorName;
    }

    public String getMajorName() 
    {
        return majorName;
    }
    public void setMajorParentCode(Long majorParentCode) 
    {
        this.majorParentCode = majorParentCode;
    }

    public Long getMajorParentCode() 
    {
        return majorParentCode;
    }
    public void setMajorLevel(Long majorLevel) 
    {
        this.majorLevel = majorLevel;
    }

    public Long getMajorLevel() 
    {
        return majorLevel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("majorName", getMajorName())
            .append("majorParentCode", getMajorParentCode())
            .append("majorLevel", getMajorLevel())
            .toString();
    }
}
