package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户基本信息对象 tb_user_basic_info
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public class TbUserBasicInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userid;

    /** 关联的申请表id */
    @Excel(name = "关联的申请表id")
    private String applyId;

    /** 姓 */
    @Excel(name = "姓")
    private String surname;

    /** 名 */
    @Excel(name = "名")
    private String name;

    /** 称呼 */
    @Excel(name = "称呼")
    private String call;
    private String callDesc;

    /** 出生日期-年 */
    @Excel(name = "出生日期-年")
    private String birthdayYear;

    /** 出生日期-月 */
    @Excel(name = "出生日期-月")
    private String birthdayMonth;

    /** 出生日期-日 */
    @Excel(name = "出生日期-日")
    private String birthdayDay;
    private String birthday;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;
    private String sexDesc;

    /** 婚姻状态 */
    @Excel(name = "婚姻状态")
    private String marriage;
    private String marriageDesc;

    /** 国籍 */
    @Excel(name = "国籍")
    private Long nationality;
    private String nationalityDesc;

    /** 宗教信仰 */
    @Excel(name = "宗教信仰")
    private String religiousBelief;
    private String religiousBeliefDesc;

    /** 是否需要医疗帮助 */
    @Excel(name = "是否需要医疗帮助")
    private String needMedical;

    /** 医疗帮助说明 */
    @Excel(name = "医疗帮助说明")
    private String needMedicalDesc;

    /** 完成状态,Y/N */
    @Excel(name = "完成状态,Y/N")
    private String finishState;

    /** 是否计算过进度,Y/N */
    @Excel(name = "是否计算过进度,Y/N")
    private String countProgress;

    /** 是否可以修改 */
    @Excel(name = "是否可以修改")
    private String isModify;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserid(Long userid) 
    {
        this.userid = userid;
    }

    public Long getUserid() 
    {
        return userid;
    }
    public void setApplyId(String applyId) 
    {
        this.applyId = applyId;
    }

    public String getApplyId() 
    {
        return applyId;
    }
    public void setSurname(String surname) 
    {
        this.surname = surname;
    }

    public String getSurname() 
    {
        return surname;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public void setCall(String call)
    {
        this.call = call;
    }

    public String getCall() 
    {
        return call;
    }
    public void setBirthdayYear(String birthdayYear) 
    {
        this.birthdayYear = birthdayYear;
    }

    public String getBirthdayYear() 
    {
        return birthdayYear;
    }
    public void setBirthdayMonth(String birthdayMonth) 
    {
        this.birthdayMonth = birthdayMonth;
    }

    public String getBirthdayMonth() 
    {
        return birthdayMonth;
    }
    public void setBirthdayDay(String birthdayDay) 
    {
        this.birthdayDay = birthdayDay;
    }

    public String getBirthdayDay() 
    {
        return birthdayDay;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setMarriage(String marriage) 
    {
        this.marriage = marriage;
    }

    public String getMarriage() 
    {
        return marriage;
    }
    public void setNationality(Long nationality) 
    {
        this.nationality = nationality;
    }

    public Long getNationality() 
    {
        return nationality;
    }
    public void setReligiousBelief(String religiousBelief) 
    {
        this.religiousBelief = religiousBelief;
    }

    public String getReligiousBelief() 
    {
        return religiousBelief;
    }
    public void setNeedMedical(String needMedical) 
    {
        this.needMedical = needMedical;
    }

    public String getNeedMedical() 
    {
        return needMedical;
    }
    public void setNeedMedicalDesc(String needMedicalDesc) 
    {
        this.needMedicalDesc = needMedicalDesc;
    }

    public String getNeedMedicalDesc() 
    {
        return needMedicalDesc;
    }
    public void setFinishState(String finishState) 
    {
        this.finishState = finishState;
    }

    public String getFinishState() 
    {
        return finishState;
    }
    public void setCountProgress(String countProgress) 
    {
        this.countProgress = countProgress;
    }

    public String getCountProgress() 
    {
        return countProgress;
    }
    public void setIsModify(String isModify) 
    {
        this.isModify = isModify;
    }

    public String getIsModify() 
    {
        return isModify;
    }

    public String getCallDesc() {
        return callDesc;
    }

    public void setCallDesc(String callDesc) {
        this.callDesc = callDesc;
    }

    public String getSexDesc() {
        return sexDesc;
    }

    public void setSexDesc(String sexDesc) {
        this.sexDesc = sexDesc;
    }

    public String getMarriageDesc() {
        return marriageDesc;
    }

    public void setMarriageDesc(String marriageDesc) {
        this.marriageDesc = marriageDesc;
    }

    public String getNationalityDesc() {
        return nationalityDesc;
    }

    public void setNationalityDesc(String nationalityDesc) {
        this.nationalityDesc = nationalityDesc;
    }

    public String getReligiousBeliefDesc() {
        return religiousBeliefDesc;
    }

    public void setReligiousBeliefDesc(String religiousBeliefDesc) {
        this.religiousBeliefDesc = religiousBeliefDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userid", getUserid())
            .append("applyId", getApplyId())
            .append("surname", getSurname())
            .append("name", getName())
            .append("call", getCall())
            .append("birthdayYear", getBirthdayYear())
            .append("birthdayMonth", getBirthdayMonth())
            .append("birthdayDay", getBirthdayDay())
            .append("sex", getSex())
            .append("marriage", getMarriage())
            .append("nationality", getNationality())
            .append("religiousBelief", getReligiousBelief())
            .append("needMedical", getNeedMedical())
            .append("needMedicalDesc", getNeedMedicalDesc())
            .append("finishState", getFinishState())
            .append("countProgress", getCountProgress())
            .append("isModify", getIsModify())
            .toString();
    }
}
