package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户教育背景对象 tb_user_education_background
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public class TbUserEducationBackground extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userid;

    /** 关联的申请表id */
    @Excel(name = "关联的申请表id")
    private String applyId;

    /** 学历类型 */
    @Excel(name = "学历类型")
    private String educationType;
    private String educationTypeDesc;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String schoolName;

    /** 学校地址 */
    @Excel(name = "学校地址")
    private String schoolAddress;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String majorName;

    /** 成绩类型 */
    @Excel(name = "成绩类型")
    private String scoreType;
    private String scoreTypeDesc;

    /** GPA类型 */
    @Excel(name = "GPA类型")
    private String gpaType;
    private String gpaTypeDesc;

    /** 分数 */
    @Excel(name = "分数")
    private String sumScore;

    /** 入学时间-年 */
    @Excel(name = "入学时间-年")
    private String startSchoolYear;

    /** 入学时间-月 */
    @Excel(name = "入学时间-月")
    private String startSchoolMonth;
    private String startSchool;

    /** 毕业时间-年 */
    @Excel(name = "毕业时间-年")
    private String finishSchoolYear;

    /** 毕业时间-月 */
    @Excel(name = "毕业时间-月")
    private String finishSchoolMonth;
    private String finishSchool;

    /** 邮编 */
    @Excel(name = "邮编")
    private String postalCode;

    /** 国家 */
    @Excel(name = "国家")
    private Long country;
    private Long countryCode;
    private String countryDesc;

    /** 省 */
    @Excel(name = "省")
    private Long province;
    private Long provinceCode;
    private String provinceDesc;

    /** 市 */
    @Excel(name = "市")
    private Long city;
    private Long cityCode;
    private String cityDesc;

    private String countryProvinceCity;

    /** 区 */
    @Excel(name = "区")
    private Long area;

    /** 完成状态 */
    @Excel(name = "完成状态")
    private String finishState;

    /** 是否计算过进度,Y/N */
    @Excel(name = "是否计算过进度,Y/N")
    private String countProgress;

    /** 是否可以修改 */
    @Excel(name = "是否可以修改")
    private String isModify;

    /** 关联的主记录的id */
    @Excel(name = "关联的主记录的id")
    private Long masterId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserid(Long userid) 
    {
        this.userid = userid;
    }

    public Long getUserid() 
    {
        return userid;
    }
    public void setApplyId(String applyId) 
    {
        this.applyId = applyId;
    }

    public String getApplyId() 
    {
        return applyId;
    }
    public void setEducationType(String educationType) 
    {
        this.educationType = educationType;
    }

    public String getEducationType() 
    {
        return educationType;
    }
    public void setSchoolName(String schoolName) 
    {
        this.schoolName = schoolName;
    }

    public String getSchoolName() 
    {
        return schoolName;
    }
    public void setSchoolAddress(String schoolAddress) 
    {
        this.schoolAddress = schoolAddress;
    }

    public String getSchoolAddress() 
    {
        return schoolAddress;
    }
    public void setMajorName(String majorName) 
    {
        this.majorName = majorName;
    }

    public String getMajorName() 
    {
        return majorName;
    }
    public void setScoreType(String scoreType) 
    {
        this.scoreType = scoreType;
    }

    public String getScoreType() 
    {
        return scoreType;
    }
    public void setGpaType(String gpaType) 
    {
        this.gpaType = gpaType;
    }

    public String getGpaType() 
    {
        return gpaType;
    }

    public String getCountryProvinceCity() {
        return countryProvinceCity;
    }

    public void setCountryProvinceCity(String countryProvinceCity) {
        this.countryProvinceCity = countryProvinceCity;
    }

    public void setSumScore(String sumScore)
    {
        this.sumScore = sumScore;
    }

    public String getSumScore() 
    {
        return sumScore;
    }
    public void setStartSchoolYear(String startSchoolYear) 
    {
        this.startSchoolYear = startSchoolYear;
    }

    public String getStartSchoolYear() 
    {
        return startSchoolYear;
    }
    public void setStartSchoolMonth(String startSchoolMonth) 
    {
        this.startSchoolMonth = startSchoolMonth;
    }

    public String getStartSchoolMonth() 
    {
        return startSchoolMonth;
    }
    public void setFinishSchoolYear(String finishSchoolYear) 
    {
        this.finishSchoolYear = finishSchoolYear;
    }

    public String getFinishSchoolYear() 
    {
        return finishSchoolYear;
    }
    public void setFinishSchoolMonth(String finishSchoolMonth) 
    {
        this.finishSchoolMonth = finishSchoolMonth;
    }

    public String getFinishSchoolMonth() 
    {
        return finishSchoolMonth;
    }
    public void setPostalCode(String postalCode) 
    {
        this.postalCode = postalCode;
    }

    public String getPostalCode() 
    {
        return postalCode;
    }
    public void setCountry(Long country) 
    {
        this.country = country;
    }

    public Long getCountry() 
    {
        return country;
    }
    public void setProvince(Long province) 
    {
        this.province = province;
    }

    public Long getProvince() 
    {
        return province;
    }
    public void setCity(Long city) 
    {
        this.city = city;
    }

    public Long getCity() 
    {
        return city;
    }
    public void setArea(Long area) 
    {
        this.area = area;
    }

    public Long getArea() 
    {
        return area;
    }
    public void setFinishState(String finishState) 
    {
        this.finishState = finishState;
    }

    public String getFinishState() 
    {
        return finishState;
    }
    public void setCountProgress(String countProgress) 
    {
        this.countProgress = countProgress;
    }

    public String getCountProgress() 
    {
        return countProgress;
    }
    public void setIsModify(String isModify) 
    {
        this.isModify = isModify;
    }

    public String getIsModify() 
    {
        return isModify;
    }
    public void setMasterId(Long masterId) 
    {
        this.masterId = masterId;
    }

    public Long getMasterId() 
    {
        return masterId;
    }

    public String getEducationTypeDesc() {
        return educationTypeDesc;
    }

    public void setEducationTypeDesc(String educationTypeDesc) {
        this.educationTypeDesc = educationTypeDesc;
    }

    public String getScoreTypeDesc() {
        return scoreTypeDesc;
    }

    public void setScoreTypeDesc(String scoreTypeDesc) {
        this.scoreTypeDesc = scoreTypeDesc;
    }

    public String getGpaTypeDesc() {
        return gpaTypeDesc;
    }

    public void setGpaTypeDesc(String gpaTypeDesc) {
        this.gpaTypeDesc = gpaTypeDesc;
    }

    public String getCountryDesc() {
        return countryDesc;
    }

    public void setCountryDesc(String countryDesc) {
        this.countryDesc = countryDesc;
    }

    public String getProvinceDesc() {
        return provinceDesc;
    }

    public void setProvinceDesc(String provinceDesc) {
        this.provinceDesc = provinceDesc;
    }

    public String getCityDesc() {
        return cityDesc;
    }

    public void setCityDesc(String cityDesc) {
        this.cityDesc = cityDesc;
    }

    public String getStartSchool() {
        return startSchool;
    }

    public void setStartSchool(String startSchool) {
        this.startSchool = startSchool;
    }

    public String getFinishSchool() {
        return finishSchool;
    }

    public void setFinishSchool(String finishSchool) {
        this.finishSchool = finishSchool;
    }

    public Long getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(Long countryCode) {
        this.countryCode = countryCode;
    }

    public Long getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(Long provinceCode) {
        this.provinceCode = provinceCode;
    }

    public Long getCityCode() {
        return cityCode;
    }

    public void setCityCode(Long cityCode) {
        this.cityCode = cityCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userid", getUserid())
            .append("applyId", getApplyId())
            .append("educationType", getEducationType())
            .append("schoolName", getSchoolName())
            .append("schoolAddress", getSchoolAddress())
            .append("majorName", getMajorName())
            .append("scoreType", getScoreType())
            .append("gpaType", getGpaType())
            .append("sumScore", getSumScore())
            .append("startSchoolYear", getStartSchoolYear())
            .append("startSchoolMonth", getStartSchoolMonth())
            .append("finishSchoolYear", getFinishSchoolYear())
            .append("finishSchoolMonth", getFinishSchoolMonth())
            .append("postalCode", getPostalCode())
            .append("country", getCountry())
            .append("province", getProvince())
            .append("city", getCity())
            .append("area", getArea())
            .append("finishState", getFinishState())
            .append("countProgress", getCountProgress())
            .append("isModify", getIsModify())
            .append("masterId", getMasterId())
            .toString();
    }
}
