package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户工作经历对象 tb_user_work_experience
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public class TbUserWorkExperience extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long userid;

    /** 关联的申请表id */
    @Excel(name = "关联的申请表id")
    private String applyId;

    /** 是否有工作经历 */
    @Excel(name = "是否有工作经历")
    private String haveWork;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 职位名称 */
    @Excel(name = "职位名称")
    private String positionName;

    /** 入职时间-年 */
    @Excel(name = "入职时间-年")
    private String startTimeYear;

    /** 入职时间-月 */
    @Excel(name = "入职时间-月")
    private String startTimeMonth;

    /** 入职时间-天 */
    @Excel(name = "入职时间-天")
    private String startTimeDay;
    private String startTime;

    /** 离职时间-年 */
    @Excel(name = "离职时间-年")
    private String endTimeYear;

    /** 离职时间-月 */
    @Excel(name = "离职时间-月")
    private String endTimeMonth;

    /** 离职时间-天 */
    @Excel(name = "离职时间-天")
    private String endTimeDay;
    private String endTime;

    /** 完成状态,Y/N */
    @Excel(name = "完成状态,Y/N")
    private String finishState;

    /** 是否计算过申请进度,Y/N */
    @Excel(name = "是否计算过申请进度,Y/N")
    private String countProgress;

    /** 是否可以修改 */
    @Excel(name = "是否可以修改")
    private String isModify;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long masterId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserid(Long userid) 
    {
        this.userid = userid;
    }

    public Long getUserid() 
    {
        return userid;
    }
    public void setApplyId(String applyId) 
    {
        this.applyId = applyId;
    }

    public String getApplyId() 
    {
        return applyId;
    }
    public void setHaveWork(String haveWork) 
    {
        this.haveWork = haveWork;
    }

    public String getHaveWork() 
    {
        return haveWork;
    }
    public void setEnterpriseName(String enterpriseName) 
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName() 
    {
        return enterpriseName;
    }
    public void setPositionName(String positionName) 
    {
        this.positionName = positionName;
    }

    public String getPositionName() 
    {
        return positionName;
    }
    public void setStartTimeYear(String startTimeYear) 
    {
        this.startTimeYear = startTimeYear;
    }

    public String getStartTimeYear() 
    {
        return startTimeYear;
    }
    public void setStartTimeMonth(String startTimeMonth) 
    {
        this.startTimeMonth = startTimeMonth;
    }

    public String getStartTimeMonth() 
    {
        return startTimeMonth;
    }
    public void setStartTimeDay(String startTimeDay) 
    {
        this.startTimeDay = startTimeDay;
    }

    public String getStartTimeDay() 
    {
        return startTimeDay;
    }
    public void setEndTimeYear(String endTimeYear) 
    {
        this.endTimeYear = endTimeYear;
    }

    public String getEndTimeYear() 
    {
        return endTimeYear;
    }
    public void setEndTimeMonth(String endTimeMonth) 
    {
        this.endTimeMonth = endTimeMonth;
    }

    public String getEndTimeMonth() 
    {
        return endTimeMonth;
    }
    public void setEndTimeDay(String endTimeDay) 
    {
        this.endTimeDay = endTimeDay;
    }

    public String getEndTimeDay() 
    {
        return endTimeDay;
    }
    public void setFinishState(String finishState) 
    {
        this.finishState = finishState;
    }

    public String getFinishState() 
    {
        return finishState;
    }
    public void setCountProgress(String countProgress) 
    {
        this.countProgress = countProgress;
    }

    public String getCountProgress() 
    {
        return countProgress;
    }
    public void setIsModify(String isModify) 
    {
        this.isModify = isModify;
    }

    public String getIsModify() 
    {
        return isModify;
    }
    public void setMasterId(Long masterId) 
    {
        this.masterId = masterId;
    }

    public Long getMasterId() 
    {
        return masterId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userid", getUserid())
            .append("applyId", getApplyId())
            .append("haveWork", getHaveWork())
            .append("enterpriseName", getEnterpriseName())
            .append("positionName", getPositionName())
            .append("startTimeYear", getStartTimeYear())
            .append("startTimeMonth", getStartTimeMonth())
            .append("startTimeDay", getStartTimeDay())
            .append("endTimeYear", getEndTimeYear())
            .append("endTimeMonth", getEndTimeMonth())
            .append("endTimeDay", getEndTimeDay())
            .append("finishState", getFinishState())
            .append("countProgress", getCountProgress())
            .append("isModify", getIsModify())
            .append("masterId", getMasterId())
            .toString();
    }
}
