package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 版本记录对象 tb_version_record
 * 
 * @author ruoyi
 * @date 2023-05-04
 */
public class TbVersionRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 版本号 */
    @Excel(name = "版本号")
    private String versionNo;

    /** 版本标题 */
    @Excel(name = "版本标题")
    private String versionTitle;

    /** 版本说明 */
    @Excel(name = "版本说明")
    private String versionContent;

    /** 发版时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发版时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date versionDate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setVersionNo(String versionNo) 
    {
        this.versionNo = versionNo;
    }

    public String getVersionNo() 
    {
        return versionNo;
    }
    public void setVersionTitle(String versionTitle) 
    {
        this.versionTitle = versionTitle;
    }

    public String getVersionTitle() 
    {
        return versionTitle;
    }
    public void setVersionContent(String versionContent) 
    {
        this.versionContent = versionContent;
    }

    public String getVersionContent() 
    {
        return versionContent;
    }
    public void setVersionDate(Date versionDate) 
    {
        this.versionDate = versionDate;
    }

    public Date getVersionDate() 
    {
        return versionDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("versionNo", getVersionNo())
            .append("versionTitle", getVersionTitle())
            .append("versionContent", getVersionContent())
            .append("versionDate", getVersionDate())
            .toString();
    }
}
