package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbHomepage;

/**
 * 首页文案，bannerMapper接口
 * 
 * @author ruoyi
 * @date 2023-06-06
 */
public interface TbHomepageMapper 
{
    /**
     * 查询首页文案，banner
     * 
     * @param id 首页文案，banner主键
     * @return 首页文案，banner
     */
    public TbHomepage selectTbHomepageById(Long id);

    /**
     * 查询首页文案，banner列表
     * 
     * @param tbHomepage 首页文案，banner
     * @return 首页文案，banner集合
     */
    public List<TbHomepage> selectTbHomepageList(TbHomepage tbHomepage);

    /**
     * 新增首页文案，banner
     * 
     * @param tbHomepage 首页文案，banner
     * @return 结果
     */
    public int insertTbHomepage(TbHomepage tbHomepage);

    /**
     * 修改首页文案，banner
     * 
     * @param tbHomepage 首页文案，banner
     * @return 结果
     */
    public int updateTbHomepage(TbHomepage tbHomepage);

    /**
     * 删除首页文案，banner
     * 
     * @param id 首页文案，banner主键
     * @return 结果
     */
    public int deleteTbHomepageById(Long id);

    /**
     * 批量删除首页文案，banner
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbHomepageByIds(String[] ids);
}
