package com.ruoyi.system.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author：fanxiaolong
 * @Date： 2023-05-22 10:03
 * @Description：
 */
@Data
public class UserApplyRes {
    /** $column.columnComment */
    private String id;

    /** 用户id */
    private Long userId;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 专业id
     */
    private Integer majorId;
    /**
     * 专业中文名称
     */
    private String majorCnName;
    /**
     * 学位中文名称
     */
    private String degreeCnName;

    /**
     * 学校中文名称
     */
    private String schoolCnName;

    /**
     * 入学时间的id
     */
    private Integer enrollmentId;

    /**
     * 申请阶段
     */
    private Integer applyPhase;

    /**
     * 申请进度
     */
    private Integer applyProgress;

    /**
     * 创建申请的日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date applyDate;

    /**
     * 申请进度
     */
    private String applyStatus;

    /**
     * 备注
     */
    private String remark;

}
