package com.ruoyi.system.service;

import com.ruoyi.system.req.StudentFileReq;
import com.ruoyi.system.res.StudentFileRes;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @Author：fanxiaolong
 * @Date： 2023-04-21 15:38
 * @Description：学生档案接口类
 */
public interface IStudentFileService
{

    List<StudentFileRes> selectUserBasicInfo(StudentFileReq req);
    //根据学生id查询申请进度
    List<StudentFileRes> queryApplyByUserID(Integer id);
    void exportByApplyId(String applyId, HttpServletResponse response);

}
