//package com.ruoyi.web.websocket;
//
//import com.alibaba.fastjson.JSON;
//import com.alibaba.fastjson.JSONObject;
//import com.ruoyi.common.config.BusinessConfig;
//import com.ruoyi.common.enums.UserTypeEnum;
//import com.ruoyi.common.utils.IpUtils;
//import com.ruoyi.system.domain.TbCustomerserviceRecord;
//import com.ruoyi.system.domain.TbUser;
//import com.ruoyi.system.service.ITbCustomerserviceRecordService;
//import com.ruoyi.system.service.ITbUserService;
//import lombok.Data;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.commons.lang3.ObjectUtils;
//import org.springframework.stereotype.Component;
//
//import javax.websocket.*;
//import javax.websocket.server.PathParam;
//import javax.websocket.server.ServerEndpoint;
//import java.lang.reflect.Field;
//import java.util.HashMap;
//import java.util.Map;
//import java.util.concurrent.atomic.AtomicInteger;
//
///**
// * @Author：fanxiaolong
// * @Date： 2023-04-19 11:25
// * @Description：网页客服
// */
//@ServerEndpoint("/kf/{userType}/{userid}")
//@Component
//@Slf4j
//@Data
//public class HumanCustomerServiceWebSocket {
//
//    private Session session;
//    private Integer userType;
//    //用户或客服的id
//    private String userid;
//    //昵称
//    private String nickname;
//    //头像
//    private String picture;
//    //客服或用户的id
//    private String toUserid;
//    private Integer toUserType;
//    /**静态变量，用来记录当前在线连接数。应该把它设计成线程安全的。*/
//    //在线用户数量，包含已注册用户和游客
//    private static AtomicInteger onlineCustomer=new AtomicInteger();
//    //在线客服数量
//    private static AtomicInteger onlineCustomerService=new AtomicInteger();
//
//    public static HashMap<Integer, HashMap<String, HumanCustomerServiceWebSocket>> webSocketClientMap = new HashMap<>();
//
//    public static ITbCustomerserviceRecordService customerserviceRecordService;
//    public static ITbUserService userService;
//
//    /**
//     * 为了保存在线用户信息，在方法中新建一个list存储一下【实际项目依据复杂度，可以存储到数据库或者缓存】
//     */
////    private final static List<Session> SESSIONS = Collections.synchronizedList(new ArrayList<>());
//
//    /**
//     * 建立连接
//     * @param session
//     * @param userType
//     * @param userid
//     */
//    @OnOpen
//    public void onOpen(Session session, @PathParam("userType") Integer userType, @PathParam("userid") String userid) {
//        this.session = session;
//        this.userType = userType;
//        this.userid=userid;
//        log.error("ip地址>>>>>>> "+IpUtils.getHostIp());
//
//        if(!webSocketClientMap.containsKey(userType)){
//            webSocketClientMap.put(userType,new HashMap<String, HumanCustomerServiceWebSocket>());
//        }
//        //因为存在客服未退出就在其他设备或浏览器登录的情况，而客服id又一样，所以判断如果是同一个客服的话，
//        //客服数量不增加
//        boolean flag=false;
//        if(userType.equals(UserTypeEnum.customerService.getUserType()) &&
//                webSocketClientMap.get(userType).containsKey(userid)){
//            flag=true;
//        }
//        webSocketClientMap.get(userType).put(userid,this);
//        if(!userType.equals(UserTypeEnum.customerService.getUserType())){
//            //该用户不是客服人员，需要分配一位客服
//            addOnlineCustomer();
//            if(userType.equals(UserTypeEnum.customer.getUserType())){
//                TbUser tbUser = userService.selectTbUserById(Long.parseLong(userid));
//                this.setNickname(tbUser.getNickname());
//                this.setPicture(BusinessConfig.getWebResource()+tbUser.getHeadPortrait());
//            }else if(userType.equals(UserTypeEnum.visitor.getUserType())){
//                this.setPicture(BusinessConfig.getHeaderPhoto());
//                this.setNickname(userid);
//            }
//            if(getOnlineCustomerService().get()>0){
//                log.error(">>>>>在线的客服数量："+getOnlineCustomerService().get()+"在线的客户数量："+getOnlineCustomer().get());
//                //客服在线
//                Integer i= getOnlineCustomer().get() % getOnlineCustomerService().get();
//                Object[] objects = webSocketClientMap.get(UserTypeEnum.customerService.getUserType()).keySet().toArray();
//                log.error("客服数量>>>>>"+objects.length);
//                toUserid=objects[i].toString();
//                toUserType=UserTypeEnum.customerService.getUserType();
//                //客服给用户发消息
//                Map<String,Object> messageMap=new HashMap<>();
//                messageMap.put("toUserid",toUserid);
//                messageMap.put("toUserType",toUserType);
//                messageMap.put("userid",userid);
//                messageMap.put("userType",userType);
//                messageMap.put("message","欢迎访问直申系统，有什么能帮到您的");
//                String s = JSON.toJSON(messageMap).toString();
//                this.sendMessage(s);
//                //用户给客服发消息
//                Map<String,Object> messageMap1=new HashMap<>();
//                messageMap1.put("toUserid",userid);
//                messageMap1.put("toUserType",userType);
//                messageMap1.put("nickname",nickname);
//                messageMap1.put("picture",picture);
//                messageMap1.put("state",1);
//                messageMap1.put("message",nickname+"上线了！");
//                HumanCustomerServiceWebSocket hcsws = webSocketClientMap.get(UserTypeEnum.customerService.getUserType()).get(objects[i]);
//                hcsws.sendMessage(JSON.toJSONString(messageMap1));
//            }else{
//                //客服不在线
//                Map<String,Object> messageMap=new HashMap<>();
//                messageMap.put("message","【系统消息】当前没有空闲客服，请稍后再试！");
//                messageMap.put("toUserid","0");
//                messageMap.put("userid",userid);
//                messageMap.put("userType",userType);
////                messageMap.put("picture",BusinessConfig.getHeaderPhoto());
//                String s = JSON.toJSON(messageMap).toString();
//                this.sendMessage(s);
//            }
//        }else{
//            //客服数量加一
//            if(!flag){
//                addOnlineCustomerService();
//            }
//            //只有一个客服在线时，对所有用户进行广播
//            if(getOnlineCustomerService().get()==1){
//                //给用户广播
//                HashMap<String, HumanCustomerServiceWebSocket> customerMap = webSocketClientMap.get(UserTypeEnum.customer.getUserType());
//                if(ObjectUtils.isNotEmpty(customerMap) && !customerMap.isEmpty()){
//                    Object[] objects = webSocketClientMap.get(UserTypeEnum.customer.getUserType()).keySet().toArray();
//                    for(Object o : objects){
//                        HumanCustomerServiceWebSocket hcsws=customerMap.get(o);
//                        Map<String,Object> messageMap=new HashMap<>();
//                        //客服给用户广播
//                        messageMap.put("toUserid",userid);
//                        messageMap.put("toUserType",userType);
//                        messageMap.put("message","欢迎访问直申系统，有什么能帮到您的");
//                        hcsws.setToUserid(userid);
//                        hcsws.setToUserType(userType);
//                        String s = JSON.toJSON(messageMap).toString();
//                        hcsws.sendMessage(s);
//                        //用户给客服发送消息
//                    }
//                }
//
//                //给游客广播
//                HashMap<String, HumanCustomerServiceWebSocket> visitorMap = webSocketClientMap.get(UserTypeEnum.visitor.getUserType());
//                if(ObjectUtils.isNotEmpty(visitorMap) && !visitorMap.isEmpty()){
//                    Object[] objects1 = webSocketClientMap.get(UserTypeEnum.visitor.getUserType()).keySet().toArray();
//                    for(Object o : objects1){
//                        HumanCustomerServiceWebSocket hcsws=visitorMap.get(o);
//                        Map<String,Object> messageMap=new HashMap<>();
//                        messageMap.put("toUserid",userid);
//                        messageMap.put("toUserType",userType);
//                        messageMap.put("message","欢迎访问直申系统，有什么能帮到您的");
//                        hcsws.setToUserid(userid);
//                        hcsws.setToUserType(userType);
//                        String s = JSON.toJSON(messageMap).toString();
//                        hcsws.sendMessage(s);
//                    }
//                }
//            }
//        }
//    }
//
//    @OnMessage
//    public void onMessage(String message){
//        JSONObject jsonObject = JSON.parseObject(message);
//        if(!jsonObject.get("toUserid").toString().equals("0")){
//            HumanCustomerServiceWebSocket hcs=webSocketClientMap.get(jsonObject.get("toUserType")).get(jsonObject.get("toUserid"));
//            Map<String,Object> messageMap=new HashMap<>();
//            if(ObjectUtils.isNotEmpty(hcs)){
//                messageMap.put("toUserid",userid);
//                messageMap.put("toUserType",userType);
//                messageMap.put("message",jsonObject.get("message"));
//                if(this.userType.equals(UserTypeEnum.customer.getUserType())){
//                    messageMap.put("nickname",nickname);
//                    messageMap.put("picture",picture);
//                }else if(userType.equals(UserTypeEnum.visitor.getUserType())){
//                    messageMap.put("picture", BusinessConfig.getHeaderPhoto());
//                    messageMap.put("nickname",nickname);
//                }
//                messageMap.put("userid",hcs.getUserid());
//                messageMap.put("userType",hcs.getUserType());
//                log.error(JSON.toJSONString(messageMap));
//                hcs.sendMessage(JSON.toJSONString(messageMap));
//                //聊天记录入库
//                TbCustomerserviceRecord cr=new TbCustomerserviceRecord();
////                if(!userType.equals(UserTypeEnum.visitor.getUserType()) &&
////                        !jsonObject.getInteger("toUserType").equals(UserTypeEnum.visitor.getUserType())){
////                    cr.setSendId(Long.parseLong(userid));
////                    cr.setSendType(Long.valueOf(userType));
////                    cr.setMessage(jsonObject.get("message").toString());
////                    cr.setReceiveId(jsonObject.getLong("toUserid"));
////                    cr.setReceiveType(jsonObject.getLong("toUserType"));
////                    cr.setMessageType(0L);
////                    customerserviceRecordService.insertTbCustomerserviceRecord(cr);
////                }
//                cr.setSendId(userid);
//                cr.setSendType(Long.valueOf(userType));
//                cr.setMessage(jsonObject.get("message").toString());
//                cr.setReceiveId(jsonObject.getString("toUserid"));
//                cr.setReceiveType(jsonObject.getLong("toUserType"));
//                cr.setMessageType(0L);
//                customerserviceRecordService.insertTbCustomerserviceRecord(cr);
//            }else{
//                Map<String,Object> messageMap1=new HashMap<>();
//                messageMap1.put("message","【系统消息】会话已被系统终结，如有需要，您可以重新发起会话！");
//                messageMap1.put("state","0");
//                String s = JSON.toJSONString(messageMap1);
//                sendMessage(s);
//            }
//        }else{
//            if(getOnlineCustomerService().get()>0){
//                //客服在线
//                Integer i= getOnlineCustomer().get() % getOnlineCustomerService().get();
//                Object[] objects = webSocketClientMap.get(UserTypeEnum.customerService.getUserType()).keySet().toArray();
//                toUserid=objects[i].toString();
//                toUserType=UserTypeEnum.customerService.getUserType();
//                HumanCustomerServiceWebSocket hcsw=webSocketClientMap.get(UserTypeEnum.customerService.getUserType()).get(toUserid);
//                //将用户咨询的问题发给客服
//                Map<String,Object> messageMap1=new HashMap<>();
//                messageMap1.put("toUserid",userid);
//                messageMap1.put("toUserType",userType);
//                messageMap1.put("userid",hcsw.getUserid());
//                messageMap1.put("userType",hcsw.getUserType());
//                messageMap1.put("message",jsonObject.get("message"));
//                messageMap1.put("nickname",nickname);
//                messageMap1.put("picture",picture);
//                hcsw.sendMessage(JSON.toJSON(messageMap1).toString());
//                //给用户发送开场白
//                Map<String,Object> messageMap=new HashMap<>();
//                messageMap.put("toUserid",toUserid);
//                messageMap.put("toUserType",toUserType);
////                messageMap.put("picture",BusinessConfig.getHeaderPhoto());
//                messageMap.put("userid",userid);
//                messageMap.put("userType",userType);
//                messageMap.put("message","欢迎访问直申系统，有什么能帮到您的");
//                String s = JSON.toJSON(messageMap).toString();
//                this.sendMessage(s);
//            }else{
//                Map<String,Object> messageMap=new HashMap<>();
//                messageMap.put("message","【系统消息】当前没有空闲客服，请稍后再试！");
//                messageMap.put("toUserid","0");
////                messageMap.put("picture",BusinessConfig.getHeaderPhoto());
//                String s = JSON.toJSON(messageMap).toString();
//                sendMessage(s);
//            }
//        }
//    }
//
//    @OnClose
//    public void onClose(){
//        log.error(">>>>>>>>>>>断开连接userType："+userType+"<>userid: "+userid);
//        if(UserTypeEnum.customerService.getUserType().equals(userType)){
//            subOnlineCustomerService();
//            log.error(">>>>>>>>>>>断开连接userType："+userType+" <>userid: "+userid+" 客服数量减一");
//        }else{
//            subOnlineCustomer();
//            //给客服发送断开链接的消息
//            if(ObjectUtils.isNotEmpty(webSocketClientMap.get(toUserType))){
//                HumanCustomerServiceWebSocket hcsw=webSocketClientMap.get(toUserType).get(toUserid);
//                if(ObjectUtils.isNotEmpty(hcsw)){
//                    Map<String,Object> messageMap=new HashMap<>();
//                    messageMap.put("toUserid",userid);
//                    messageMap.put("toUserType",userType);
//                    messageMap.put("state","0");
//                    String s = JSON.toJSONString(messageMap);
//                    hcsw.sendMessage(s);
//                }
//            }
//        }
//        webSocketClientMap.get(userType).remove(userid);
//        log.error(">>>>>>>>>>>断开连接userType："+userType+"<>userid: "+userid+"客服链接减一");
//    }
//
//    public void sendMessage(String message) {
//        try {
//            session.getBasicRemote().sendText(message);
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//    }
//
//    /**
//     * 获取当前在线用户数
//     * @return
//     */
//    public static synchronized AtomicInteger getOnlineCustomer() {
//        return onlineCustomer;
//    }
//
//    /**
//     * 获取当前在线客服数量
//     * @return
//     */
//    public static synchronized AtomicInteger getOnlineCustomerService() {
//        return onlineCustomerService;
//    }
//
//    /**
//     * 当前连接数加一
//     */
//    public static synchronized void addOnlineCustomer() {
//        HumanCustomerServiceWebSocket.onlineCustomer.incrementAndGet();
//    }
//    /**
//     * 当前连接数加一
//     */
//    public static synchronized void addOnlineCustomerService() {
//        HumanCustomerServiceWebSocket.onlineCustomerService.incrementAndGet();
//    }
//
//    /**
//     * 当前连接数减一
//     */
//    public static synchronized void subOnlineCustomer() {
//        HumanCustomerServiceWebSocket.onlineCustomer.decrementAndGet();
//    }
//
//    /**
//     * 当前连接数减一
//     */
//    public static synchronized void subOnlineCustomerService() {
//        HumanCustomerServiceWebSocket.onlineCustomerService.decrementAndGet();
//    }
//
//    public void setToUserid(String toUserid) {
//        this.toUserid = toUserid;
//    }
//
//    public void setToUserType(Integer toUserType) {
//        this.toUserType = toUserType;
//    }
//
//    /**
//     * 获取客户端ip地址
//     * @param obj
//     * @param fieldPath
//     * @return
//     */
//    private static Object getFieldInstance(Object obj, String fieldPath) {
//        String fields[] = fieldPath.split("#");
//        for (String field : fields) {
//           obj = getField(obj, obj.getClass(), field);
//           if(ObjectUtils.isNotEmpty(obj)){
//               break;
//           }
//        }
//        return obj;
//    }
//
//    private static Object getField(Object obj, Class<?> clazz, String fieldName) {
//        for (; clazz != Object.class; clazz = clazz.getSuperclass()) {
//            try {
//                Field field;
//                field = clazz.getDeclaredField(fieldName);
//                field.setAccessible(true);
//                return field.get(obj);
//            } catch (Exception e) {
//            }
//        }
//        return null;
//    }
//
//}
