package com.ruoyi.common.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 自定义的一些配置信息
 * 
 * @author fanxiaolong
 */
@Component
public class BusinessConfig
{

    /**
     * 默认头像
     */
    public static String headerPhoto;

    public static String webResource;

    public static String getHeaderPhoto() {
        return headerPhoto;
    }

    public static String getWebResource(){
        return webResource;
    }

    @Value("${header-photo}")
    public void setHeaderPhoto(String headerPhoto) {
        BusinessConfig.headerPhoto = headerPhoto;
    }

    @Value("${webResource}")
    public void setWebResource(String webResource){
        BusinessConfig.webResource=webResource;
    }
}
