package com.ruoyi.common.constant;

/**
 * @Author：fanxiaolong
 * @Date： 2023-05-30 15:31
 * @Description：证件类型
 */
public enum IDTypeEnum {

    idcard("1","身份证"),

    passport("2","护照");

    /**
     * 证件类型
     */
    private String type;

    /**
     * 类型描述
     */
    private String typeDesc;

    IDTypeEnum(String type, String typeDesc){
        this.type=type;
        this.typeDesc=typeDesc;
    }

    public String getType(){
        return type;
    }

    public String getTypeDesc(){
        return typeDesc;
    }
}
