package com.ruoyi.system.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 顾问对象 tb_consultant
 *
 * @author ruoyi
 * @date 2023-05-19
 */
@Data
public class TbConsultant extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 顾问微信OpenID，直申公众号的OpenID */
    @Excel(name = "顾问微信OpenID，直申公众号的OpenID")
    private String consultantOpenID;

    /** 顾问微信号 */
    @Excel(name = "顾问微信号")
    private String consultantWechat;

    /** 顾问手机号 */
    @Excel(name = "顾问手机号")
    private String consultantPhone;

    @Excel(name = "顾问姓名", readConverterExp = "$column.readConverterExp()")
    private String consultantName;

    /** 顾问微信二维码图片 */
    @Excel(name = "顾问微信二维码图片")
    private String consutantWechatQrImg;

    /**
     * 顾问状态，0 失效，1 正常
     */
    @Excel(name = "顾问状态")
    private String consultantState;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("consultantWechat", getConsultantWechat())
                .append("consultantName", getConsultantName())
                .append("consutantWechatQrImg", getConsutantWechatQrImg())
                .toString();
    }
}