package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 首页文案，banner对象 tb_homepage
 * 
 * @author ruoyi
 * @date 2023-06-06
 */
public class TbHomepage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 文案一 */
    @Excel(name = "文案一")
    private String copywriting1;

    /** 文案二标题 */
    @Excel(name = "文案二标题")
    private String copywriting2;

    /**
     * 文案二内容
     */
    private String copywriting2Content;

    /** banner1 */
    @Excel(name = "banner1")
    private String banner1;

    /** banner2 */
    @Excel(name = "banner2")
    private String banner2;

    /**
     * 大小都是637 * 348
     */
    private String serviceImg;
    private String schoolImg;
    private String majorImg;
    private String materialImg;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCopywriting1(String copywriting1) 
    {
        this.copywriting1 = copywriting1;
    }

    public String getCopywriting1() 
    {
        return copywriting1;
    }
    public void setCopywriting2(String copywriting2) 
    {
        this.copywriting2 = copywriting2;
    }

    public String getCopywriting2() 
    {
        return copywriting2;
    }
    public void setBanner1(String banner1) 
    {
        this.banner1 = banner1;
    }

    public String getBanner1() 
    {
        return banner1;
    }
    public void setBanner2(String banner2) 
    {
        this.banner2 = banner2;
    }

    public String getBanner2() 
    {
        return banner2;
    }

    public String getCopywriting2Content() {
        return copywriting2Content;
    }

    public void setCopywriting2Content(String copywriting2Content) {
        this.copywriting2Content = copywriting2Content;
    }

    public String getServiceImg() {
        return serviceImg;
    }

    public void setServiceImg(String serviceImg) {
        this.serviceImg = serviceImg;
    }

    public String getSchoolImg() {
        return schoolImg;
    }

    public void setSchoolImg(String schoolImg) {
        this.schoolImg = schoolImg;
    }

    public String getMajorImg() {
        return majorImg;
    }

    public void setMajorImg(String majorImg) {
        this.majorImg = majorImg;
    }

    public String getMaterialImg() {
        return materialImg;
    }

    public void setMaterialImg(String materialImg) {
        this.materialImg = materialImg;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("copywriting1", getCopywriting1())
            .append("copywriting2", getCopywriting2())
            .append("banner1", getBanner1())
            .append("banner2", getBanner2())
            .toString();
    }
}
