package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 生活成本对象 tb_living_expense
 * 
 * @author ruoyi
 * @date 2025-04-03
 */
public class TbLivingExpense extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 国家中文名称 */
    @Excel(name = "国家中文名称")
    private String countryCnName;

    /** 国家英文名称 */
    @Excel(name = "国家英文名称")
    private String countryEnName;

    /** 城市中文名称 */
    @Excel(name = "城市中文名称")
    private String cityCnName;

    /** 城市英文名称 */
    @Excel(name = "城市英文名称")
    private String cityEnName;

    /** 校外住宿-高 */
    @Excel(name = "校外住宿-高")
    private Long offCampusHousingHigh;

    /** 校外住宿-中 */
    @Excel(name = "校外住宿-中")
    private Long offCampusHousingMiddle;

    /** 校外住宿-低 */
    @Excel(name = "校外住宿-低")
    private Long offCampusHousingLow;

    /** 校内住宿-高 */
    @Excel(name = "校内住宿-高")
    private Long onCampusHousingHigh;

    /** 校内住宿-中 */
    @Excel(name = "校内住宿-中")
    private Long onCampusHousingMiddle;

    /** 校内住宿-低 */
    @Excel(name = "校内住宿-低")
    private Long onCampusHousingLow;

    /** 水电费-高 */
    @Excel(name = "水电费-高")
    private Long utilitiesHigh;

    /** 水电费-中 */
    @Excel(name = "水电费-中")
    private Long utilitiesMiddle;

    /** 水电费-低 */
    @Excel(name = "水电费-低")
    private Long utilitiesLow;

    /** 香烟价格 */
    @Excel(name = "香烟价格")
    private Long cigarette;

    /** 电话费和网费-高 */
    @Excel(name = "电话费和网费-高")
    private Long telephoneHigh;

    /** 电话费和网费-中 */
    @Excel(name = "电话费和网费-中")
    private Long telephoneMiddle;

    /** 电话费和网费-低 */
    @Excel(name = "电话费和网费-低")
    private Long telephoneLow;

    /** 外出吃饭-高 */
    @Excel(name = "外出吃饭-高")
    private Long catoutHigh;

    /** 外出吃饭-中 */
    @Excel(name = "外出吃饭-中")
    private Long catoutMiddle;

    /** 外出吃饭-低 */
    @Excel(name = "外出吃饭-低")
    private Long catoutLow;

    /** 外卖-高 */
    @Excel(name = "外卖-高")
    private Long takeawayHigh;

    /** 外卖-中 */
    @Excel(name = "外卖-中")
    private Long takeawayMiddle;

    /** 外卖-低 */
    @Excel(name = "外卖-低")
    private Long takeawayLow;

    /** 服装-高 */
    @Excel(name = "服装-高")
    private Long wearHigh;

    /** 服装-中 */
    @Excel(name = "服装-中")
    private Long wearMiddle;

    /** 服装-低 */
    @Excel(name = "服装-低")
    private Long wearLow;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCountryCnName(String countryCnName) 
    {
        this.countryCnName = countryCnName;
    }

    public String getCountryCnName() 
    {
        return countryCnName;
    }
    public void setCountryEnName(String countryEnName) 
    {
        this.countryEnName = countryEnName;
    }

    public String getCountryEnName() 
    {
        return countryEnName;
    }
    public void setCityCnName(String cityCnName) 
    {
        this.cityCnName = cityCnName;
    }

    public String getCityCnName() 
    {
        return cityCnName;
    }
    public void setCityEnName(String cityEnName) 
    {
        this.cityEnName = cityEnName;
    }

    public String getCityEnName() 
    {
        return cityEnName;
    }
    public void setOffCampusHousingHigh(Long offCampusHousingHigh) 
    {
        this.offCampusHousingHigh = offCampusHousingHigh;
    }

    public Long getOffCampusHousingHigh() 
    {
        return offCampusHousingHigh;
    }
    public void setOffCampusHousingMiddle(Long offCampusHousingMiddle) 
    {
        this.offCampusHousingMiddle = offCampusHousingMiddle;
    }

    public Long getOffCampusHousingMiddle() 
    {
        return offCampusHousingMiddle;
    }
    public void setOffCampusHousingLow(Long offCampusHousingLow) 
    {
        this.offCampusHousingLow = offCampusHousingLow;
    }

    public Long getOffCampusHousingLow() 
    {
        return offCampusHousingLow;
    }
    public void setOnCampusHousingHigh(Long onCampusHousingHigh) 
    {
        this.onCampusHousingHigh = onCampusHousingHigh;
    }

    public Long getOnCampusHousingHigh() 
    {
        return onCampusHousingHigh;
    }
    public void setOnCampusHousingMiddle(Long onCampusHousingMiddle) 
    {
        this.onCampusHousingMiddle = onCampusHousingMiddle;
    }

    public Long getOnCampusHousingMiddle() 
    {
        return onCampusHousingMiddle;
    }
    public void setOnCampusHousingLow(Long onCampusHousingLow) 
    {
        this.onCampusHousingLow = onCampusHousingLow;
    }

    public Long getOnCampusHousingLow() 
    {
        return onCampusHousingLow;
    }
    public void setUtilitiesHigh(Long utilitiesHigh) 
    {
        this.utilitiesHigh = utilitiesHigh;
    }

    public Long getUtilitiesHigh() 
    {
        return utilitiesHigh;
    }
    public void setUtilitiesMiddle(Long utilitiesMiddle) 
    {
        this.utilitiesMiddle = utilitiesMiddle;
    }

    public Long getUtilitiesMiddle() 
    {
        return utilitiesMiddle;
    }
    public void setUtilitiesLow(Long utilitiesLow) 
    {
        this.utilitiesLow = utilitiesLow;
    }

    public Long getUtilitiesLow() 
    {
        return utilitiesLow;
    }
    public void setCigarette(Long cigarette) 
    {
        this.cigarette = cigarette;
    }

    public Long getCigarette() 
    {
        return cigarette;
    }
    public void setTelephoneHigh(Long telephoneHigh) 
    {
        this.telephoneHigh = telephoneHigh;
    }

    public Long getTelephoneHigh() 
    {
        return telephoneHigh;
    }
    public void setTelephoneMiddle(Long telephoneMiddle) 
    {
        this.telephoneMiddle = telephoneMiddle;
    }

    public Long getTelephoneMiddle() 
    {
        return telephoneMiddle;
    }
    public void setTelephoneLow(Long telephoneLow) 
    {
        this.telephoneLow = telephoneLow;
    }

    public Long getTelephoneLow() 
    {
        return telephoneLow;
    }
    public void setCatoutHigh(Long catoutHigh) 
    {
        this.catoutHigh = catoutHigh;
    }

    public Long getCatoutHigh() 
    {
        return catoutHigh;
    }
    public void setCatoutMiddle(Long catoutMiddle) 
    {
        this.catoutMiddle = catoutMiddle;
    }

    public Long getCatoutMiddle() 
    {
        return catoutMiddle;
    }
    public void setCatoutLow(Long catoutLow) 
    {
        this.catoutLow = catoutLow;
    }

    public Long getCatoutLow() 
    {
        return catoutLow;
    }
    public void setTakeawayHigh(Long takeawayHigh) 
    {
        this.takeawayHigh = takeawayHigh;
    }

    public Long getTakeawayHigh() 
    {
        return takeawayHigh;
    }
    public void setTakeawayMiddle(Long takeawayMiddle) 
    {
        this.takeawayMiddle = takeawayMiddle;
    }

    public Long getTakeawayMiddle() 
    {
        return takeawayMiddle;
    }
    public void setTakeawayLow(Long takeawayLow) 
    {
        this.takeawayLow = takeawayLow;
    }

    public Long getTakeawayLow() 
    {
        return takeawayLow;
    }
    public void setWearHigh(Long wearHigh) 
    {
        this.wearHigh = wearHigh;
    }

    public Long getWearHigh() 
    {
        return wearHigh;
    }
    public void setWearMiddle(Long wearMiddle) 
    {
        this.wearMiddle = wearMiddle;
    }

    public Long getWearMiddle() 
    {
        return wearMiddle;
    }
    public void setWearLow(Long wearLow) 
    {
        this.wearLow = wearLow;
    }

    public Long getWearLow() 
    {
        return wearLow;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("countryCnName", getCountryCnName())
            .append("countryEnName", getCountryEnName())
            .append("cityCnName", getCityCnName())
            .append("cityEnName", getCityEnName())
            .append("offCampusHousingHigh", getOffCampusHousingHigh())
            .append("offCampusHousingMiddle", getOffCampusHousingMiddle())
            .append("offCampusHousingLow", getOffCampusHousingLow())
            .append("onCampusHousingHigh", getOnCampusHousingHigh())
            .append("onCampusHousingMiddle", getOnCampusHousingMiddle())
            .append("onCampusHousingLow", getOnCampusHousingLow())
            .append("utilitiesHigh", getUtilitiesHigh())
            .append("utilitiesMiddle", getUtilitiesMiddle())
            .append("utilitiesLow", getUtilitiesLow())
            .append("cigarette", getCigarette())
            .append("telephoneHigh", getTelephoneHigh())
            .append("telephoneMiddle", getTelephoneMiddle())
            .append("telephoneLow", getTelephoneLow())
            .append("catoutHigh", getCatoutHigh())
            .append("catoutMiddle", getCatoutMiddle())
            .append("catoutLow", getCatoutLow())
            .append("takeawayHigh", getTakeawayHigh())
            .append("takeawayMiddle", getTakeawayMiddle())
            .append("takeawayLow", getTakeawayLow())
            .append("wearHigh", getWearHigh())
            .append("wearMiddle", getWearMiddle())
            .append("wearLow", getWearLow())
            .toString();
    }
}
