package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.time.LocalDate;

/**
 * tb_user
 *
 * @author ruoyi
 * @date 2023-05-11
 */
public class TbUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobilephone;

    /** 姓名 */
    @Excel(name = "姓名")
    private String username;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickname;

    /** 头像 */
    @Excel(name = "头像")
    private String headPortrait;

    /** 0 女，1 男 */
    @Excel(name = "0 女，1 男")
    private Integer sex;

    private String sexDesc;

    /** 最高学历 */
    @Excel(name = "最高学历")
    private Integer highestEducation;

    private String highestEducationDesc;

    /** 毕业院校 */
    @Excel(name = "毕业院校")
    private String graduateSchool;

    /** 0 微信端，1 PC端 */
    @Excel(name = "0 微信端，1 PC端")
    private Long registerOrigin;

    /**
     * 所属顾问
     */
    private Long consultant;

    /**
     * 所属代理
     */
    private Long agent;

    /**
     * 注册日期
     */
    private LocalDate registerDate;


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMobilephone(String mobilephone)
    {
        this.mobilephone = mobilephone;
    }

    public String getMobilephone()
    {
        return mobilephone;
    }

    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getUsername()
    {
        return username;
    }
    public void setNickname(String nickname)
    {
        this.nickname = nickname;
    }

    public String getNickname()
    {
        return nickname;
    }
    public void setHeadPortrait(String headPortrait)
    {
        this.headPortrait = headPortrait;
    }

    public String getHeadPortrait()
    {
        return headPortrait;
    }
    public void setSex(Integer sex)
    {
        this.sex = sex;
    }

    public Integer getSex()
    {
        return sex;
    }
    public void setHighestEducation(Integer highestEducation)
    {
        this.highestEducation = highestEducation;
    }

    public Integer getHighestEducation()
    {
        return highestEducation;
    }
    public void setGraduateSchool(String graduateSchool)
    {
        this.graduateSchool = graduateSchool;
    }

    public String getGraduateSchool()
    {
        return graduateSchool;
    }
    public void setRegisterOrigin(Long registerOrigin)
    {
        this.registerOrigin = registerOrigin;
    }

    public Long getRegisterOrigin()
    {
        return registerOrigin;
    }

    public Long getConsultant() {
        return consultant;
    }

    public void setConsultant(Long consultant) {
        this.consultant = consultant;
    }

    public Long getAgent() {
        return agent;
    }

    public void setAgent(Long agent) {
        this.agent = agent;
    }

    public LocalDate getRegisterDate() {
        return registerDate;
    }

    public void setRegisterDate(LocalDate registerDate) {
        this.registerDate = registerDate;
    }

    public String getSexDesc() {
        return sexDesc;
    }

    public void setSexDesc(String sexDesc) {
        this.sexDesc = sexDesc;
    }

    public String getHighestEducationDesc() {
        return highestEducationDesc;
    }

    public void setHighestEducationDesc(String highestEducationDesc) {
        this.highestEducationDesc = highestEducationDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("mobilephone", getMobilephone())
                .append("username", getUsername())
                .append("nickname", getNickname())
                .append("headPortrait", getHeadPortrait())
                .append("sex", getSex())
                .append("highestEducation", getHighestEducation())
                .append("graduateSchool", getGraduateSchool())
                .append("registerOrigin", getRegisterOrigin())
                .toString();
    }
}