package com.ruoyi.system.domain;

import java.time.LocalDate;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户申请操作记录对象 tb_user_apply_operation_record
 * 
 * @author ruoyi
 * @date 2023-01-05
 */
public class TbUserApplyOperationRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 申请id */
    @Excel(name = "申请id")
    private String applyId;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate operationDate;

    /** 操作记录 */
    @Excel(name = "操作记录")
    private String operationContent;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setApplyId(String applyId) 
    {
        this.applyId = applyId;
    }

    public String getApplyId() 
    {
        return applyId;
    }
    public void setOperationDate(LocalDate operationDate)
    {
        this.operationDate = operationDate;
    }

    public LocalDate getOperationDate()
    {
        return operationDate;
    }
    public void setOperationContent(String operationContent) 
    {
        this.operationContent = operationContent;
    }

    public String getOperationContent() 
    {
        return operationContent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("applyId", getApplyId())
            .append("operationDate", getOperationDate())
            .append("operationContent", getOperationContent())
            .append("remark", getRemark())
            .toString();
    }
}
