package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户详细信息对象 tb_user_detail_info
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public class TbUserDetailInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userid;

    /** 关联的申请表id */
    @Excel(name = "关联的申请表id")
    private String applyId;

    /** 是否持有护照 */
    @Excel(name = "是否持有护照")
    private String holdPassport;
    private String holdPassportDesc;

    /** 护照号 */
    @Excel(name = "护照号")
    private String passportNumber;

    /** 护照签发日期-年 */
    @Excel(name = "护照签发日期-年")
    private String passportIssueDateYear;

    /** 护照签发日期-月 */
    @Excel(name = "护照签发日期-月")
    private String passportIssueDateMonth;

    /** 护照签发日期-日 */
    @Excel(name = "护照签发日期-日")
    private String passportIssueDateDay;
    private String passportIssueDate;

    /** 护照有效期-年 */
    @Excel(name = "护照有效期-年")
    private String passportValidYear;

    /** 护照有效期-月 */
    @Excel(name = "护照有效期-月")
    private String passportValidMonth;

    /** 护照有效期-日 */
    @Excel(name = "护照有效期-日")
    private String passportValidDay;
    private String passportValid;

    /** 护照签发地 */
    @Excel(name = "护照签发地")
    private String passportIssuePlace;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 是否持有签证 */
    @Excel(name = "是否持有签证")
    private String holdVisa;
    private String holdVisaDesc;

    /** 签证类型 */
    @Excel(name = "签证类型")
    private String visaType;
    private String visaTypeDesc;

    /** 签证说明，当签证类型为其他时需要填写 */
    @Excel(name = "签证说明，当签证类型为其他时需要填写")
    private String visaTypeExplain;

    /** 签证有效期-年 */
    @Excel(name = "签证有效期-年")
    private String visaValidYear;

    /** 签证有效期-月 */
    @Excel(name = "签证有效期-月")
    private String visaValidMonth;

    /** 签证有效期-日 */
    @Excel(name = "签证有效期-日")
    private String visaValidDay;
    private String visaValid;

    /** 电子邮件 */
    @Excel(name = "电子邮件")
    private String email;

    /** 家庭电话 */
    @Excel(name = "家庭电话")
    private String homePhone;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobilephone;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 邮编 */
    @Excel(name = "邮编")
    private String postalCode;

    /** 国家 */
    @Excel(name = "国家")
    private Long country;
    private Long countryCode;
    private String countryDesc;

    /** 省 */
    @Excel(name = "省")
    private Long province;
    private Long provinceCode;
    private String provinceDesc;

    /** 市 */
    @Excel(name = "市")
    private Long city;
    private Long cityCode;
    private String cityDesc;

    private String countryProvinceCity;

    /** 区 */
    @Excel(name = "区")
    private Long area;

    /** 完成状态,Y/N */
    @Excel(name = "完成状态,Y/N")
    private String finishState;

    /** 是否计算过进度，Y/N */
    @Excel(name = "是否计算过进度，Y/N")
    private String countProgress;

    /** 是否可以修改 */
    @Excel(name = "是否可以修改")
    private String isModify;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserid(Long userid)
    {
        this.userid = userid;
    }

    public Long getUserid()
    {
        return userid;
    }
    public void setApplyId(String applyId) 
    {
        this.applyId = applyId;
    }

    public String getApplyId() 
    {
        return applyId;
    }
    public void setHoldPassport(String holdPassport) 
    {
        this.holdPassport = holdPassport;
    }

    public String getHoldPassport() 
    {
        return holdPassport;
    }
    public void setPassportNumber(String passportNumber) 
    {
        this.passportNumber = passportNumber;
    }

    public String getPassportNumber() 
    {
        return passportNumber;
    }
    public void setPassportIssueDateYear(String passportIssueDateYear) 
    {
        this.passportIssueDateYear = passportIssueDateYear;
    }

    public String getPassportIssueDateYear() 
    {
        return passportIssueDateYear;
    }
    public void setPassportIssueDateMonth(String passportIssueDateMonth) 
    {
        this.passportIssueDateMonth = passportIssueDateMonth;
    }

    public String getPassportIssueDateMonth() 
    {
        return passportIssueDateMonth;
    }
    public void setPassportIssueDateDay(String passportIssueDateDay) 
    {
        this.passportIssueDateDay = passportIssueDateDay;
    }

    public String getPassportIssueDateDay() 
    {
        return passportIssueDateDay;
    }
    public void setPassportValidYear(String passportValidYear) 
    {
        this.passportValidYear = passportValidYear;
    }

    public String getPassportValidYear() 
    {
        return passportValidYear;
    }
    public void setPassportValidMonth(String passportValidMonth) 
    {
        this.passportValidMonth = passportValidMonth;
    }

    public String getPassportValidMonth() 
    {
        return passportValidMonth;
    }
    public void setPassportValidDay(String passportValidDay) 
    {
        this.passportValidDay = passportValidDay;
    }

    public String getPassportValidDay() 
    {
        return passportValidDay;
    }
    public void setPassportIssuePlace(String passportIssuePlace) 
    {
        this.passportIssuePlace = passportIssuePlace;
    }

    public String getPassportIssuePlace() 
    {
        return passportIssuePlace;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setHoldVisa(String holdVisa) 
    {
        this.holdVisa = holdVisa;
    }

    public String getHoldVisa() 
    {
        return holdVisa;
    }
    public void setVisaType(String visaType) 
    {
        this.visaType = visaType;
    }

    public String getVisaType() 
    {
        return visaType;
    }
    public void setVisaTypeExplain(String visaTypeExplain) 
    {
        this.visaTypeExplain = visaTypeExplain;
    }

    public String getVisaTypeExplain() 
    {
        return visaTypeExplain;
    }
    public void setVisaValidYear(String visaValidYear) 
    {
        this.visaValidYear = visaValidYear;
    }

    public String getVisaValidYear() 
    {
        return visaValidYear;
    }
    public void setVisaValidMonth(String visaValidMonth) 
    {
        this.visaValidMonth = visaValidMonth;
    }

    public String getVisaValidMonth() 
    {
        return visaValidMonth;
    }
    public void setVisaValidDay(String visaValidDay) 
    {
        this.visaValidDay = visaValidDay;
    }

    public String getVisaValidDay() 
    {
        return visaValidDay;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setHomePhone(String homePhone) 
    {
        this.homePhone = homePhone;
    }

    public String getHomePhone() 
    {
        return homePhone;
    }
    public void setMobilephone(String mobilephone) 
    {
        this.mobilephone = mobilephone;
    }

    public String getMobilephone() 
    {
        return mobilephone;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setPostalCode(String postalCode) 
    {
        this.postalCode = postalCode;
    }

    public String getPostalCode() 
    {
        return postalCode;
    }
    public void setCountry(Long country) 
    {
        this.country = country;
    }

    public Long getCountry() 
    {
        return country;
    }
    public void setProvince(Long province) 
    {
        this.province = province;
    }

    public Long getProvince() 
    {
        return province;
    }
    public void setCity(Long city) 
    {
        this.city = city;
    }

    public Long getCity() 
    {
        return city;
    }
    public void setArea(Long area) 
    {
        this.area = area;
    }

    public Long getArea() 
    {
        return area;
    }
    public void setFinishState(String finishState) 
    {
        this.finishState = finishState;
    }

    public String getFinishState() 
    {
        return finishState;
    }
    public void setCountProgress(String countProgress) 
    {
        this.countProgress = countProgress;
    }

    public String getCountProgress() 
    {
        return countProgress;
    }
    public void setIsModify(String isModify) 
    {
        this.isModify = isModify;
    }

    public String getIsModify() 
    {
        return isModify;
    }

    public String getPassportIssueDate() {
        return passportIssueDate;
    }

    public void setPassportIssueDate(String passportIssueDate) {
        this.passportIssueDate = passportIssueDate;
    }

    public String getPassportValid() {
        return passportValid;
    }

    public void setPassportValid(String passportValid) {
        this.passportValid = passportValid;
    }

    public String getVisaTypeDesc() {
        return visaTypeDesc;
    }

    public void setVisaTypeDesc(String visaTypeDesc) {
        this.visaTypeDesc = visaTypeDesc;
    }

    public String getVisaValid() {
        return visaValid;
    }

    public void setVisaValid(String visaValid) {
        this.visaValid = visaValid;
    }

    public String getCountryDesc() {
        return countryDesc;
    }

    public void setCountryDesc(String countryDesc) {
        this.countryDesc = countryDesc;
    }

    public String getProvinceDesc() {
        return provinceDesc;
    }

    public void setProvinceDesc(String provinceDesc) {
        this.provinceDesc = provinceDesc;
    }

    public String getCityDesc() {
        return cityDesc;
    }

    public void setCityDesc(String cityDesc) {
        this.cityDesc = cityDesc;
    }

    public String getCountryProvinceCity() {
        return countryProvinceCity;
    }

    public void setCountryProvinceCity(String countryProvinceCity) {
        this.countryProvinceCity = countryProvinceCity;
    }

    public String getHoldPassportDesc() {
        return holdPassportDesc;
    }

    public void setHoldPassportDesc(String holdPassportDesc) {
        this.holdPassportDesc = holdPassportDesc;
    }

    public String getHoldVisaDesc() {
        return holdVisaDesc;
    }

    public void setHoldVisaDesc(String holdVisaDesc) {
        this.holdVisaDesc = holdVisaDesc;
    }

    public Long getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(Long countryCode) {
        this.countryCode = countryCode;
    }

    public Long getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(Long provinceCode) {
        this.provinceCode = provinceCode;
    }

    public Long getCityCode() {
        return cityCode;
    }

    public void setCityCode(Long cityCode) {
        this.cityCode = cityCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userid", getUserid())
            .append("applyId", getApplyId())
            .append("holdPassport", getHoldPassport())
            .append("passportNumber", getPassportNumber())
            .append("passportIssueDateYear", getPassportIssueDateYear())
            .append("passportIssueDateMonth", getPassportIssueDateMonth())
            .append("passportIssueDateDay", getPassportIssueDateDay())
            .append("passportValidYear", getPassportValidYear())
            .append("passportValidMonth", getPassportValidMonth())
            .append("passportValidDay", getPassportValidDay())
            .append("passportIssuePlace", getPassportIssuePlace())
            .append("idCard", getIdCard())
            .append("holdVisa", getHoldVisa())
            .append("visaType", getVisaType())
            .append("visaTypeExplain", getVisaTypeExplain())
            .append("visaValidYear", getVisaValidYear())
            .append("visaValidMonth", getVisaValidMonth())
            .append("visaValidDay", getVisaValidDay())
            .append("email", getEmail())
            .append("homePhone", getHomePhone())
            .append("mobilephone", getMobilephone())
            .append("address", getAddress())
            .append("postalCode", getPostalCode())
            .append("country", getCountry())
            .append("province", getProvince())
            .append("city", getCity())
            .append("area", getArea())
            .append("finishState", getFinishState())
            .append("countProgress", getCountProgress())
            .append("isModify", getIsModify())
            .toString();
    }
}
