package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户语言背景对象 tb_user_language_background
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public class TbUserLanguageBackground extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userid;

    /** 关联的申请表id */
    @Excel(name = "关联的申请表id")
    private String applyId;

    /** 语言考试类型 */
    @Excel(name = "语言考试类型")
    private String examType;
    private String examTypeCode;
    private String examTypeDesc;

    /** 其他考试类型 */
    @Excel(name = "其他考试类型")
    private String specialExamType;

    /** 考试成绩 */
    @Excel(name = "考试成绩")
    private String examScore;

    /** 考试时间-年 */
    @Excel(name = "考试时间-年")
    private String examTimeYear;

    /** 考试时间-月 */
    @Excel(name = "考试时间-月")
    private String examTimeMonth;

    /** 考试时间-日 */
    @Excel(name = "考试时间-日")
    private String examTimeDay;
    private String examTime;

    /** 成绩到期时间-年 */
    @Excel(name = "成绩到期时间-年")
    private String scoreExpireYear;

    /** 成绩到期时间-月 */
    @Excel(name = "成绩到期时间-月")
    private String scoreExpireMonth;

    /** 成绩到期时间-日 */
    @Excel(name = "成绩到期时间-日")
    private String scoreExpireDay;
    private String scoreExpire;

    /** 完成状态,Y/N */
    @Excel(name = "完成状态,Y/N")
    private String finishState;

    /** 是否计算过进度,Y/N */
    @Excel(name = "是否计算过进度,Y/N")
    private String countProgress;

    /** 是否可以修改 */
    @Excel(name = "是否可以修改")
    private String isModify;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserid(Long userid) 
    {
        this.userid = userid;
    }

    public Long getUserid() 
    {
        return userid;
    }
    public void setApplyId(String applyId) 
    {
        this.applyId = applyId;
    }

    public String getApplyId() 
    {
        return applyId;
    }
    public void setExamType(String examType) 
    {
        this.examType = examType;
    }

    public String getExamType() 
    {
        return examType;
    }
    public void setSpecialExamType(String specialExamType) 
    {
        this.specialExamType = specialExamType;
    }

    public String getSpecialExamType() 
    {
        return specialExamType;
    }
    public void setExamScore(String examScore) 
    {
        this.examScore = examScore;
    }

    public String getExamScore() 
    {
        return examScore;
    }
    public void setExamTimeYear(String examTimeYear) 
    {
        this.examTimeYear = examTimeYear;
    }

    public String getExamTimeYear() 
    {
        return examTimeYear;
    }
    public void setExamTimeMonth(String examTimeMonth) 
    {
        this.examTimeMonth = examTimeMonth;
    }

    public String getExamTimeMonth() 
    {
        return examTimeMonth;
    }
    public void setExamTimeDay(String examTimeDay) 
    {
        this.examTimeDay = examTimeDay;
    }

    public String getExamTimeDay() 
    {
        return examTimeDay;
    }
    public void setScoreExpireYear(String scoreExpireYear) 
    {
        this.scoreExpireYear = scoreExpireYear;
    }

    public String getScoreExpireYear() 
    {
        return scoreExpireYear;
    }
    public void setScoreExpireMonth(String scoreExpireMonth) 
    {
        this.scoreExpireMonth = scoreExpireMonth;
    }

    public String getScoreExpireMonth() 
    {
        return scoreExpireMonth;
    }
    public void setScoreExpireDay(String scoreExpireDay) 
    {
        this.scoreExpireDay = scoreExpireDay;
    }

    public String getScoreExpireDay() 
    {
        return scoreExpireDay;
    }
    public void setFinishState(String finishState) 
    {
        this.finishState = finishState;
    }

    public String getFinishState() 
    {
        return finishState;
    }
    public void setCountProgress(String countProgress) 
    {
        this.countProgress = countProgress;
    }

    public String getCountProgress() 
    {
        return countProgress;
    }
    public void setIsModify(String isModify) 
    {
        this.isModify = isModify;
    }

    public String getIsModify() 
    {
        return isModify;
    }

    public String getExamTypeDesc() {
        return examTypeDesc;
    }

    public void setExamTypeDesc(String examTypeDesc) {
        this.examTypeDesc = examTypeDesc;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getScoreExpire() {
        return scoreExpire;
    }

    public void setScoreExpire(String scoreExpire) {
        this.scoreExpire = scoreExpire;
    }

    public String getExamTypeCode() {
        return examTypeCode;
    }

    public void setExamTypeCode(String examTypeCode) {
        this.examTypeCode = examTypeCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userid", getUserid())
            .append("applyId", getApplyId())
            .append("examType", getExamType())
            .append("specialExamType", getSpecialExamType())
            .append("examScore", getExamScore())
            .append("examTimeYear", getExamTimeYear())
            .append("examTimeMonth", getExamTimeMonth())
            .append("examTimeDay", getExamTimeDay())
            .append("scoreExpireYear", getScoreExpireYear())
            .append("scoreExpireMonth", getScoreExpireMonth())
            .append("scoreExpireDay", getScoreExpireDay())
            .append("finishState", getFinishState())
            .append("countProgress", getCountProgress())
            .append("isModify", getIsModify())
            .toString();
    }
}
