package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户提交的材料对象 tb_user_material
 * 
 * @author ruoyi
 * @date 2023-04-10
 */
public class TbUserMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long userid;

    private String userName;

    /** 上传的文件 */
    @Excel(name = "上传的文件")
    private String files;

    /** 材料类型，对应材料模板表(tb_material_demo)的id */
    @Excel(name = "材料类型，对应材料模板表(tb_material_demo)的id")
    private Long materialType;

    private String materialTypeDesc;

    /** 所属申请的id */
    @Excel(name = "所属申请的id")
    private String applyId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserid(Long userid) 
    {
        this.userid = userid;
    }

    public Long getUserid() 
    {
        return userid;
    }
    public void setFiles(String files) 
    {
        this.files = files;
    }

    public String getFiles() 
    {
        return files;
    }
    public void setMaterialType(Long materialType) 
    {
        this.materialType = materialType;
    }

    public Long getMaterialType() 
    {
        return materialType;
    }
    public void setApplyId(String applyId) 
    {
        this.applyId = applyId;
    }

    public String getApplyId() 
    {
        return applyId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMaterialTypeDesc() {
        return materialTypeDesc;
    }

    public void setMaterialTypeDesc(String materialTypeDesc) {
        this.materialTypeDesc = materialTypeDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userid", getUserid())
            .append("files", getFiles())
            .append("materialType", getMaterialType())
            .append("applyId", getApplyId())
            .toString();
    }
}
