package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户父母信息对象 tb_user_parent_info
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public class TbUserParentInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userid;

    /** 关联的申请id */
    @Excel(name = "关联的申请id")
    private String applyId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String parentName;

    /** 关系 */
    @Excel(name = "关系")
    private String parentRelation;

    /** 职位 */
    @Excel(name = "职位")
    private String parentPosition;

    /** 证件类型 */
    @Excel(name = "证件类型")
    private String parentIdType;

    /** 证件号 */
    @Excel(name = "证件号")
    private String parentPassportNumber;

    /** 电子邮件 */
    @Excel(name = "电子邮件")
    private String parentEmail;

    /** 移动电话 */
    @Excel(name = "移动电话")
    private String parentMobilephone;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String parentAddress;

    /** 邮编 */
    @Excel(name = "邮编")
    private String parentPostal;

    /** 国家 */
    @Excel(name = "国家")
    private Long parentCountry;
    private Long parentCountryCode;
    private String parentCountryDesc;

    /** 省 */
    @Excel(name = "省")
    private Long parentProvince;
    private Long parentProvinceCode;
    private String parentProvinceDesc;

    /** 市 */
    @Excel(name = "市")
    private Long parentCity;
    private Long parentCityCode;
    private String parentCityDesc;

    private String parentCountryProvinceCity;

    /** 完成状态,Y/N */
    @Excel(name = "完成状态,Y/N")
    private String finishState;

    /** 是否计算过申请进度,Y/N */
    @Excel(name = "是否计算过申请进度,Y/N")
    private String countProgress;

    /** 是否可以修改 */
    @Excel(name = "是否可以修改")
    private String isModify;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long masterId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserid(Long userid) 
    {
        this.userid = userid;
    }

    public Long getUserid() 
    {
        return userid;
    }
    public void setApplyId(String applyId) 
    {
        this.applyId = applyId;
    }

    public String getApplyId() 
    {
        return applyId;
    }
    public void setParentName(String parentName) 
    {
        this.parentName = parentName;
    }

    public String getParentName() 
    {
        return parentName;
    }
    public void setParentRelation(String parentRelation) 
    {
        this.parentRelation = parentRelation;
    }

    public String getParentRelation() 
    {
        return parentRelation;
    }
    public void setParentPosition(String parentPosition) 
    {
        this.parentPosition = parentPosition;
    }

    public String getParentPosition() 
    {
        return parentPosition;
    }
    public void setParentPassportNumber(String parentPassportNumber) 
    {
        this.parentPassportNumber = parentPassportNumber;
    }

    public String getParentPassportNumber() 
    {
        return parentPassportNumber;
    }
    public void setParentEmail(String parentEmail) 
    {
        this.parentEmail = parentEmail;
    }

    public String getParentEmail() 
    {
        return parentEmail;
    }
    public void setParentMobilephone(String parentMobilephone) 
    {
        this.parentMobilephone = parentMobilephone;
    }

    public String getParentMobilephone() 
    {
        return parentMobilephone;
    }
    public void setParentAddress(String parentAddress) 
    {
        this.parentAddress = parentAddress;
    }

    public String getParentAddress() 
    {
        return parentAddress;
    }
    public void setParentPostal(String parentPostal) 
    {
        this.parentPostal = parentPostal;
    }

    public String getParentPostal() 
    {
        return parentPostal;
    }
    public void setParentCountry(Long parentCountry) 
    {
        this.parentCountry = parentCountry;
    }

    public Long getParentCountry() 
    {
        return parentCountry;
    }
    public void setParentProvince(Long parentProvince) 
    {
        this.parentProvince = parentProvince;
    }

    public Long getParentProvince() 
    {
        return parentProvince;
    }
    public void setParentCity(Long parentCity) 
    {
        this.parentCity = parentCity;
    }

    public Long getParentCity() 
    {
        return parentCity;
    }
    public void setFinishState(String finishState) 
    {
        this.finishState = finishState;
    }

    public String getFinishState() 
    {
        return finishState;
    }
    public void setCountProgress(String countProgress) 
    {
        this.countProgress = countProgress;
    }

    public String getCountProgress() 
    {
        return countProgress;
    }
    public void setIsModify(String isModify) 
    {
        this.isModify = isModify;
    }

    public String getIsModify() 
    {
        return isModify;
    }
    public void setMasterId(Long masterId) 
    {
        this.masterId = masterId;
    }

    public Long getMasterId() 
    {
        return masterId;
    }

    public String getParentCountryDesc() {
        return parentCountryDesc;
    }

    public void setParentCountryDesc(String parentCountryDesc) {
        this.parentCountryDesc = parentCountryDesc;
    }

    public String getParentProvinceDesc() {
        return parentProvinceDesc;
    }

    public void setParentProvinceDesc(String parentProvinceDesc) {
        this.parentProvinceDesc = parentProvinceDesc;
    }

    public String getParentCityDesc() {
        return parentCityDesc;
    }

    public void setParentCityDesc(String parentCityDesc) {
        this.parentCityDesc = parentCityDesc;
    }

    public String getParentCountryProvinceCity() {
        return parentCountryProvinceCity;
    }

    public void setParentCountryProvinceCity(String parentCountryProvinceCity) {
        this.parentCountryProvinceCity = parentCountryProvinceCity;
    }

    public Long getParentCountryCode() {
        return parentCountryCode;
    }

    public void setParentCountryCode(Long parentCountryCode) {
        this.parentCountryCode = parentCountryCode;
    }

    public Long getParentProvinceCode() {
        return parentProvinceCode;
    }

    public void setParentProvinceCode(Long parentProvinceCode) {
        this.parentProvinceCode = parentProvinceCode;
    }

    public Long getParentCityCode() {
        return parentCityCode;
    }

    public void setParentCityCode(Long parentCityCode) {
        this.parentCityCode = parentCityCode;
    }

    public String getParentIdType() {
        return parentIdType;
    }

    public void setParentIdType(String parentIdType) {
        this.parentIdType = parentIdType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userid", getUserid())
            .append("applyId", getApplyId())
            .append("parentName", getParentName())
            .append("parentRelation", getParentRelation())
            .append("parentPosition", getParentPosition())
            .append("parentPassportNumber", getParentPassportNumber())
            .append("parentEmail", getParentEmail())
            .append("parentMobilephone", getParentMobilephone())
            .append("parentAddress", getParentAddress())
            .append("parentPostal", getParentPostal())
            .append("parentCountry", getParentCountry())
            .append("parentProvince", getParentProvince())
            .append("parentCity", getParentCity())
            .append("finishState", getFinishState())
            .append("countProgress", getCountProgress())
            .append("isModify", getIsModify())
            .append("masterId", getMasterId())
            .toString();
    }
}
