package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 微信，微博，小红书等链接或二维码对象 tb_weblink
 * 
 * @author ruoyi
 * @date 2023-05-05
 */
public class TbWeblink extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 链接名称 */
    @Excel(name = "链接名称")
    private String linkName;

    /** 小图标 */
    @Excel(name = "小图标")
    private String linkIcon;

    /** 跳转链接 */
    @Excel(name = "跳转链接")
    private String link;

    /** 二维码图片 */
    @Excel(name = "二维码图片")
    private String qrImage;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setLinkName(String linkName) 
    {
        this.linkName = linkName;
    }

    public String getLinkName() 
    {
        return linkName;
    }
    public void setLinkIcon(String linkIcon) 
    {
        this.linkIcon = linkIcon;
    }

    public String getLinkIcon() 
    {
        return linkIcon;
    }
    public void setLink(String link) 
    {
        this.link = link;
    }

    public String getLink() 
    {
        return link;
    }
    public void setQrImage(String qrImage) 
    {
        this.qrImage = qrImage;
    }

    public String getQrImage() 
    {
        return qrImage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("linkName", getLinkName())
            .append("linkIcon", getLinkIcon())
            .append("link", getLink())
            .append("qrImage", getQrImage())
            .toString();
    }
}
