package com.ruoyi.system.req;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 新闻与活动对象 tb_news
 * 
 * @author ruoyi
 * @date 2022-10-25
 */
@Data
public class TbNewsReq extends BaseEntity
{
    private Long id;

    /**
     * 新闻类型
     */
    private Integer newsType;

    /**
     * 新闻所属院校
     */
    private Integer newsSchool;

    /**
     * 院校名称
     */
    private String newsSchoolCnName;

    /** 新闻标题 */
    @Excel(name = "新闻标题")
    private String newsTitle;

    /** 新闻摘要 */
    @Excel(name = "新闻摘要")
    private String newsSummary;

    private String backgroundColor;

    /** 新闻内容 */
    @Excel(name = "新闻内容")
    private String newsContent;

    private String newsCover;
    private String newsCover1;
    private String newsCover2;

    /** 新闻状态（1正常 2关闭） */
    @Excel(name = "新闻状态", readConverterExp = "1=正常,2=关闭")
    private Integer status;

    private String creatorDesc;

    private String modifiedByDesc;

}
