package com.ruoyi.system.res;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 客服聊天记录对象 tb_customerservice_record
 * 
 * @author ruoyi
 * @date 2023-05-11
 */
public class CustomerserviceRecordRes implements Serializable
{
    private Long id;

    /** 发送者id */
    private String sendId;

    /** 发送者类型，0 用户，1 客服 */
    private Long sendType;

    /**昵称*/
    private String nickName;

    /**头像*/
    private String picture;

    /** 接收者id */
    private String receiveId;

    /** 接收者类型，0 用户，1 客服 */
    private Long receiveType;

    /** 消息内容 */
    private String message;

    /** $column.columnComment */
    private LocalDateTime storeTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSendId(String sendId)
    {
        this.sendId = sendId;
    }

    public String getSendId()
    {
        return sendId;
    }
    public void setSendType(Long sendType)
    {
        this.sendType = sendType;
    }

    public Long getSendType() 
    {
        return sendType;
    }
    public void setReceiveId(String receiveId)
    {
        this.receiveId = receiveId;
    }

    public String getReceiveId()
    {
        return receiveId;
    }
    public void setReceiveType(Long receiveType)
    {
        this.receiveType = receiveType;
    }

    public Long getReceiveType() 
    {
        return receiveType;
    }
    public void setMessage(String message) 
    {
        this.message = message;
    }

    public String getMessage() 
    {
        return message;
    }
    public void setStoreTime(LocalDateTime storeTime)
    {
        this.storeTime = storeTime;
    }

    public LocalDateTime getStoreTime()
    {
        return storeTime;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getPicture() {
        return picture;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sendId", getSendId())
            .append("sendType", getSendType())
            .append("receiveId", getReceiveId())
            .append("receiveType", getReceiveType())
            .append("message", getMessage())
            .append("storeTime", getStoreTime())
            .toString();
    }
}
