package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.system.domain.TbUserApply;
import com.ruoyi.system.domain.TbUserBasicInfo;
import com.ruoyi.system.res.UserApplyRes;

/**
 * 用户基本信息Service接口
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public interface ITbUserApplyInfoService
{

    /**
     * 查询用户申请信息列表
     * 
     * @param tbUserApply 用户申请信息
     * @return 用户基本信息集合
     */
    List<UserApplyRes> selectTbUserApplyInfoList(TbUserApply tbUserApply);

    int updateTbUserApplyStatusById(TbUserApply tbUserApply);

    int updateTbUserApplyProgressById(TbUserApply tbUserApply);

}
