package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbUserApply;
import com.ruoyi.system.res.UserApplyRes;

/**
 * 用户申请Service接口
 *
 * @author ruoyi
 * @date 2023-05-19
 */
public interface ITbUserApplyService
{
    /**
     * 查询用户申请
     *
     * @param id 用户申请主键
     * @return 用户申请
     */
    UserApplyRes selectTbUserApplyById(String id);

    /**
     * 查询用户申请列表
     *
     * @param tbUserApply 用户申请
     * @return 用户申请集合
     */
    List<UserApplyRes> selectTbUserApplyList(TbUserApply tbUserApply);

    /**
     * 新增用户申请
     *
     * @param tbUserApply 用户申请
     * @return 结果
     */
//    public int insertTbUserApply(TbUserApply tbUserApply);

    /**
     * 修改用户申请
     *
     * @param tbUserApply 用户申请
     * @return 结果
     */
//    public int updateTbUserApply(TbUserApply tbUserApply);

    /**
     * 批量删除用户申请
     *
     * @param ids 需要删除的用户申请主键集合
     * @return 结果
     */
//    public int deleteTbUserApplyByIds(String ids);

    /**
     * 删除用户申请信息
     *
     * @param id 用户申请主键
     * @return 结果
     */
//    public int deleteTbUserApplyById(String id);
}